DependenciesMetadata (Gradle API 4.4)
Date: 2017-12-06

org.gradle.api.artifacts

## Interface DependenciesMetadata

- All Superinterfaces:
    Collection<DependencyMetadata>, Iterable<DependencyMetadata>

      @Incubating
      public interface DependenciesMetadata
      extends Collection<DependencyMetadata>

  Describes the dependencies of a variant declared in a resolved component's metadata, which typically originate from a component descriptor (Gradle metadata file, Ivy file, Maven POM). This interface can be used to adjust the dependencies of a published component via metadata rules (see `ComponentMetadataHandler`.
  Since:
    4.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Map<String,String> dependencyNotation)` Add a dependency using the map notation: `group: group, name: name, version: version`.
    `void` | `add(Map<String,String> dependencyNotation, Action<DependencyMetadata> configureAction)` Add a dependency using the map notation: `group: group, name: name, version: version`.
    `void` | `add(String dependencyNotation)` Add a dependency using the string notation: `group:name:version`.
    `void` | `add(String dependencyNotation, Action<DependencyMetadata> configureAction)` Add a dependency using the string notation: `group:name:version`.

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### add

          void add(String dependencyNotation)

      Add a dependency using the string notation: `group:name:version`.
      Parameters:
        `dependencyNotation` - the dependency

    - #### add

          void add(Map<String,String> dependencyNotation)

      Add a dependency using the map notation: `group: group, name: name, version: version`.
      Parameters:
        `dependencyNotation` - the dependency

    - #### add

          void add(String dependencyNotation,
                 Action<DependencyMetadata> configureAction)

      Add a dependency using the string notation: `group:name:version`.
      Parameters:
        `dependencyNotation` - the dependency
        `configureAction` - action to configure details of the dependency - see `DependencyMetadata`

    - #### add

          void add(Map<String,String> dependencyNotation,
                 Action<DependencyMetadata> configureAction)

      Add a dependency using the map notation: `group: group, name: name, version: version`.
      Parameters:
        `dependencyNotation` - the dependency
        `configureAction` - action to configure details of the dependency - see `DependencyMetadata`